| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
oyFilterPlugs_s Struct Reference
DAG and Image processing API

A FilterPlugs list. More...

`#include <oyFilterPlugs_s.h>`

Inheritance diagram for oyFilterPlugs_s:
Collaboration diagram for oyFilterPlugs_s:

## Public Member Functions
OYAPI oyFilterPlugs_s *OYEXPORT | oyFilterPlugs_New (oyObject_s object)
| allocate a new FilterPlugs object More...
OYAPI oyFilterPlugs_s *OYEXPORT | oyFilterPlugs_Copy (oyFilterPlugs_s *filterplugs, oyObject_s object)
| copy or reference a FilterPlugs object More...
OYAPI int OYEXPORT | oyFilterPlugs_Release (oyFilterPlugs_s **filterplugs)
| release and possibly deallocate a oyFilterPlugs_s object More...
OYAPI int OYEXPORT | oyFilterPlugs_MoveIn (oyFilterPlugs_s *list, oyFilterPlug_s **obj, int pos)
| add an element to a FilterPlugs list More...
OYAPI int OYEXPORT | oyFilterPlugs_ReleaseAt (oyFilterPlugs_s *list, int pos)
| release a element from a FilterPlugs list More...
OYAPI oyFilterPlug_s *OYEXPORT | oyFilterPlugs_Get (oyFilterPlugs_s *list, int pos)
| get a element of a FilterPlugs list More...
OYAPI int OYEXPORT | oyFilterPlugs_Count (oyFilterPlugs_s *list)
| count the elements in a FilterPlugs list More...
OYAPI int OYEXPORT | oyFilterPlugs_Clear (oyFilterPlugs_s *list)
| clear the elements in a FilterPlugs list More...
OYAPI int OYEXPORT | oyFilterPlugs_Sort (oyFilterPlugs_s *list, int32_t *rank_list)
| sort a list according to a rank_list More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get a text dump More...

## Data Fields
oyStruct_Copy_f | copy
oyStruct_Release_f | release
Data Fields inherited from oyStruct_s
oyStruct_Copy_f | copy
oyStruct_Release_f | release

## Detailed Description

A FilterPlugs list.

Note
  This class holds a list of objects [list]

Version
  Oyranos: 0.1.8

Since
  2008/07/29 (Oyranos: 0.1.8)

Date
  2008/07/29

## Member Function Documentation

OYAPI int OYEXPORT oyFilterPlugs_Clear | ( | oyFilterPlugs_s * | list | ) |

clear the elements in a FilterPlugs list

Function oyFilterPlugs_Clear

Parameters

  [in,out] | list | the list

Returns
  0 - success; otherwise - error

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

References oyOBJECT_FILTER_PLUGS_S, and oyStructList_s::oyStructList_Clear().

OYAPI oyFilterPlugs_s *OYEXPORT oyFilterPlugs_Copy | ( | oyFilterPlugs_s * | filterplugs,
|  | oyObject_s | object
| ) |  |

copy or reference a FilterPlugs object

Function oyFilterPlugs_Copy

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | filterplugs | FilterPlugs struct object
  | object | NULL - means reference, the optional object triggers a real copy

References oyOBJECT_FILTER_PLUGS_S.

Referenced by oyFilterSocket_s::oyFilterSocket_GetPlugs().

OYAPI int OYEXPORT oyFilterPlugs_Count | ( | oyFilterPlugs_s * | list | ) |

count the elements in a FilterPlugs list

Function oyFilterPlugs_Count

Parameters

  [in,out] | list | the list

Returns
  element count

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_PLUGS_S, and oyStructList_s::oyStructList_Count().

Referenced by oyFilterGraph_s::oyFilterGraph_CountEdges(), oyFilterGraph_s::oyFilterGraph_ToText(), oyFilterNode_s::oyFilterNode_CountSocketNodes(), oyFilterNode_s::oyFilterNode_EdgeCount(), oyFilterNode_s::oyFilterNode_GetConnectorPos(), oyFilterSocket_s::oyFilterSocket_Callback(), and oyFilterSocket_s::oyFilterSocket_SignalToGraph().

OYAPI oyFilterPlug_s *OYEXPORT oyFilterPlugs_Get | ( | oyFilterPlugs_s * | list,
|  | int | pos
| ) |  |

get a element of a FilterPlugs list

Function oyFilterPlugs_Get

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_PLUG_S, oyOBJECT_FILTER_PLUGS_S, and oyStructList_s::oyStructList_GetRefType().

Referenced by oyFilterGraph_s::oyFilterGraph_GetEdge(), oyFilterGraph_s::oyFilterGraph_ToText(), oyFilterNode_s::oyFilterNode_GetSocketNode(), oyFilterSocket_s::oyFilterSocket_Callback(), and oyFilterSocket_s::oyFilterSocket_SignalToGraph().

OYAPI int OYEXPORT oyFilterPlugs_MoveIn | ( | oyFilterPlugs_s * | list,
|  | oyFilterPlug_s ** | obj,
|  | int | pos
| ) |  |

add an element to a FilterPlugs list

Function oyFilterPlugs_MoveIn

Parameters

  [in] | list | list
  [in,out] | obj | list element
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_PLUG_S, oyOBJECT_FILTER_PLUGS_S, oyStructList_s::oyStructList_Create(), and oyStructList_s::oyStructList_MoveIn().

Referenced by oyFilterPlug_s::oyFilterPlug_ConnectIntoSocket().

OYAPI oyFilterPlugs_s *OYEXPORT oyFilterPlugs_New | ( | oyObject_s | object | ) |

allocate a new FilterPlugs object

Function oyFilterPlugs_New

References oyOBJECT_OBJECT_S.

Referenced by oyFilterNode_s::oyFilterGraph_SetFromNode(), and oyFilterPlug_s::oyFilterPlug_ConnectIntoSocket().

OYAPI int OYEXPORT oyFilterPlugs_Release | ( | oyFilterPlugs_s ** | filterplugs | ) |

release and possibly deallocate a oyFilterPlugs_s object

Function oyFilterPlugs_Release

Parameters

  [in,out] | filterplugs | FilterPlugs struct object

References oyOBJECT_FILTER_PLUGS_S.

Referenced by oyFilterNode_s::oyFilterGraph_SetFromNode().

OYAPI int OYEXPORT oyFilterPlugs_ReleaseAt | ( | oyFilterPlugs_s * | list,
|  | int | pos
| ) |  |

release a element from a FilterPlugs list

Function oyFilterPlugs_ReleaseAt

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_PLUGS_S, oyStructList_s::oyStructList_GetParentObjType(), and oyStructList_s::oyStructList_ReleaseAt().

Referenced by oyFilterSocket_s::oyFilterSocket_Callback().

OYAPI int OYEXPORT oyFilterPlugs_Sort | ( | oyFilterPlugs_s * | list,
|  | int32_t * | rank_list
| ) |  |

sort a list according to a rank_list

Function oyFilterPlugs_Sort

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

References oyOBJECT_FILTER_PLUGS_S, and oyStructList_s::oyStructList_Sort().

## Field Documentation

oyStruct_Copy_f oyFilterPlugs_s::copy

copy function

oyStruct_Release_f oyFilterPlugs_s::release

release function